Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.icore.plan
Class Plan

    java.lang.Object
      ix.icore.AbstractAnnotatedObject
          ix.icore.AbstractIXObject
              ix.icore.plan.PlanObject
                  ix.icore.plan.Plan

All Implemented Interfaces:
  Annotated, IXObject, java.io.Serializable

Direct Known Subclasses:
  DomainAsPlan

    public class Plan

extends PlanObject

Represents a plan in a form that can be converted to XML, etc.

See Also:
  Serialized Form

Field Summary
`protected ix.icore.domain.ListOfConstrainer` | `constraints`
`protected ix.icore.plan.ListOfPlanIssueRefinement` | `planIssueRefinements`
`protected ix.icore.plan.ListOfPlanIssue` | `planIssues`
`protected ix.icore.plan.ListOfPlanNode` | `planNodes`
`protected ix.icore.plan.ListOfPlanRefinement` | `planRefinements`
`protected ix.icore.plan.ListOfPlanVariableDeclaration` | `planVariableDeclarations`
`protected ix.icore.domain.ListOfPatternAssignment` | `worldState`

Fields inherited from class ix.icore.AbstractAnnotatedObject
`annotationListeners, annotations`

Constructor Summary
`Plan()`

Method Summary
`ix.icore.plan.ListOfPlanVariableDeclaration` | `getAllPlanVariableDeclarations()`
`ix.icore.domain.ListOfConstrainer` | `getConstraints()`
`PlanIssueRefinement` | `getPlanIssueRefinement(Name id)`
`ix.icore.plan.ListOfPlanIssueRefinement` | `getPlanIssueRefinements()`
`ix.icore.plan.ListOfPlanIssue` | `getPlanIssues()`
`ix.icore.plan.ListOfPlanNode` | `getPlanNodes()`
`PlanRefinement` | `getPlanRefinement(Name id)`
`ix.icore.plan.ListOfPlanRefinement` | `getPlanRefinements()`
`ix.icore.plan.ListOfPlanVariableDeclaration` | `getPlanVariableDeclarations()`
`ix.icore.domain.ListOfPatternAssignment` | `getWorldState()`
`void` | `setConstraints(ix.icore.domain.ListOfConstrainer constraints)`
`void` | `setPlanIssueRefinements(ix.icore.plan.ListOfPlanIssueRefinement planIssueRefinements)`
`void` | `setPlanIssues(ix.icore.plan.ListOfPlanIssue planIssues)`
`void` | `setPlanNodes(ix.icore.plan.ListOfPlanNode planNodes)`
`void` | `setPlanRefinements(ix.icore.plan.ListOfPlanRefinement planRefinements)`
`void` | `setPlanVariableDeclarations(ix.icore.plan.ListOfPlanVariableDeclaration planVariableDeclarations)`
`void` | `setWorldState(ix.icore.domain.ListOfPatternAssignment worldState)`
`void` | `setWorldState(java.util.Map map)`

Methods inherited from class ix.icore.AbstractAnnotatedObject
`addAnnotationListener, annMap, clearAnnotations, fireSetAnnotation, getAnnotation, getAnnotations, getComments, makeAnnMap, removeAnnotation, setAnnotation, setAnnotations, setComments, takeAnnotations`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface ix.icore.Annotated
`addAnnotationListener, clearAnnotations, fireSetAnnotation, getAnnotation, getAnnotations, removeAnnotation, setAnnotation, setAnnotations, takeAnnotations`

Field Detail

### planVariableDeclarations

    protected ix.icore.plan.ListOfPlanVariableDeclaration planVariableDeclarations

### planIssues

    protected ix.icore.plan.ListOfPlanIssue planIssues

### planIssueRefinements

    protected ix.icore.plan.ListOfPlanIssueRefinement planIssueRefinements

### planNodes

    protected ix.icore.plan.ListOfPlanNode planNodes

### planRefinements

    protected ix.icore.plan.ListOfPlanRefinement planRefinements

### constraints

    protected ix.icore.domain.ListOfConstrainer constraints

### worldState

    protected ix.icore.domain.ListOfPatternAssignment worldState

Constructor Detail

### Plan

    public Plan()

Method Detail

### getPlanVariableDeclarations

    public ix.icore.plan.ListOfPlanVariableDeclaration getPlanVariableDeclarations()

### setPlanVariableDeclarations

    public void setPlanVariableDeclarations(ix.icore.plan.ListOfPlanVariableDeclaration planVariableDeclarations)

### getAllPlanVariableDeclarations

    public ix.icore.plan.ListOfPlanVariableDeclaration getAllPlanVariableDeclarations()

### getPlanIssues

    public ix.icore.plan.ListOfPlanIssue getPlanIssues()

### setPlanIssues

    public void setPlanIssues(ix.icore.plan.ListOfPlanIssue planIssues)

### getPlanIssueRefinements

    public ix.icore.plan.ListOfPlanIssueRefinement getPlanIssueRefinements()

### setPlanIssueRefinements

    public void setPlanIssueRefinements(ix.icore.plan.ListOfPlanIssueRefinement planIssueRefinements)

### getPlanIssueRefinement

    public PlanIssueRefinement getPlanIssueRefinement(Name id)

### getPlanNodes

    public ix.icore.plan.ListOfPlanNode getPlanNodes()

### setPlanNodes

    public void setPlanNodes(ix.icore.plan.ListOfPlanNode planNodes)

### getPlanRefinements

    public ix.icore.plan.ListOfPlanRefinement getPlanRefinements()

### setPlanRefinements

    public void setPlanRefinements(ix.icore.plan.ListOfPlanRefinement planRefinements)

### getPlanRefinement

    public PlanRefinement getPlanRefinement(Name id)

### getConstraints

    public ix.icore.domain.ListOfConstrainer getConstraints()

### setConstraints

    public void setConstraints(ix.icore.domain.ListOfConstrainer constraints)

### getWorldState

    public ix.icore.domain.ListOfPatternAssignment getWorldState()

### setWorldState

    public void setWorldState(ix.icore.domain.ListOfPatternAssignment worldState)

### setWorldState

    public void setWorldState(java.util.Map map)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD